#server:
#  file:
#    location: /mnt/4Dkankan/
spring:
  application:
    name: 4dkankan-center-scene
#  resources:
#    static-locations: classpath:/META-INF/resources/,classpath:/resources/, classpath:/static/, classpath:/web/, file:${server.file.location}
  cloud:
    nacos:
      config:
        server-addr: 192.168.0.47:8848
        file-extension: yaml
        namespace: 4dkankan-dev
        extension-configs:
          - data-id: 4dkankan-center-scene.yaml
            group: DEFAULT_GROUP
            refresh: true
        shared-configs:
          - data-id: common-redis-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: common-mq-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: oss-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: other-config.yaml
            group: DEFAULT_GROUP
            refresh: true
      discovery:
        server-addr: 192.168.0.47:8848
        namespace: 4dkankan-dev

#prefix:
#  ali: https://4dkk:4dage:com/

#oss:
#  type: oss
#  point: http://oss-cn-shenzhen-internal.aliyuncs.com
#  key: LTAIUrvuHqj8pvry
#  secrey: JLOVl0k8Ke0aaM8nLMMiUAZ3EiiqI4
#  bucket:
#    bucket: 4dkankan
#    sdk: 4dscene
#  s3key: AKIAWCV5QFZ3ZNELKYUY
#  s3secrey: epS5ghyR4LJ7rxk/qJO9ZYh6m9Oz6g5haKDu4yws
#  s3bucket: 4dkankan

#hot:
#  #获取含有热点的领域路径列表
#  domain:
#    list: https://testopen.4dkankan.com/domainList/hot
#  #删除领域中的热点数据
#  delete: /deleteHot
#
#main:
#  url: https://test.4dkankan.com
#scene:
#  url: show.html?m=
#  pro:
#    url: showProMobile.html?m=
#    new:
#      url: smobile.html?m=

#服务器环境，dev为测试环境，formal为正式环境, hq横琴云副控制服务器
#environment: dev

#file:
#  route:
#    hardDisk: /mnt/data/
#    hardDiskLaser: /mnt-laser/data/
#    imageFolder: IMAGE
#    documentFolder: VIDEO
#    videoFolder: DOCUMENT
#    musicFolder: MUSIC
#    imageType: [".bmp", ".jpg", ".jpeg", ".png", ".tiff", ".gif", ".pcx", ".tga", ".exif", ".fpx", ".svg", ".psd",".cdr", ".pcd", ".dxf", ".ufo", ".eps", ".ai", ".raw", ".wmf"]
#    documentType: [".txt", ".doc", ".docx", ".xls", ".htm", ".html", ".jsp", ".rtf", ".wpd", ".pdf", ".ppt",".js"]
#    videoType: [".mp4", ".avi", ".mov", ".wmv", ".asf", ".navi", ".3gp", ".mkv", ".f4v", ".rmvb", ".webm"]
#    musicType: [".mp3", ".wma", ".wav", ".mod", ".ra", ".cd", ".md", ".asf", ".aac", ".vqf", ".ape", ".mid", ".ogg",".m4a", ".vqf"]
#    IPs: ["0:0:0:0:0:0:0:1","192.168.0.100"]




